Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Games freeze immediately after starting (Linux Mint 18.3)
#1
Games freeze as soon as they start. They show one frame and then stop completely.
PCSX2 itself doesn't stop responding or crash.

I installed PCSX2 just through the normal Linux Mint / Ubuntu package repositories with apt-get, no PPA. It says it is version 1.4.0-0.


System info:

Code:
Linux Mint 18.3 Cinnamon 64-bit
Cinnamon version 3.6.7
NVIDIA GeForce GTX 1050


Code:
PCSX2 1.4.0-0
Savestate version: 0x9a0b0000

Host Machine Init:
Operating System =  Linux 4.10.0-38-generic x86_64
Physical RAM     =  7627 MB
CPU name         =  Intel(R) Core(TM) i5-7300HQ CPU @ 2.50GHz
Vendor/Model     =  GenuineIntel (stepping 09)
CPU speed        =  2.493 ghz (4 logical threads)
x86PType         =  Standard OEM
x86Flags         =  bfebfbff 7ffafbbf
x86EFlags        =  2c100000

x86 Features Detected:
SSE2.. SSE3.. SSSE3.. SSE4.1.. SSE4.2.. AVX.. AVX2.. FMA

Installing POSIX SIGSEGV handler...
Reserving memory for recompilers...

Loading plugins...
    Binding   GS: /usr/lib/i386-linux-gnu/pcsx2/libGSdx-1.0.0.so
(GameDB) 9693 games on record (loaded in 322ms)
    Binding  PAD: /usr/lib/i386-linux-gnu/pcsx2/libonepad-1.1.0.so
    Binding SPU2: /usr/lib/i386-linux-gnu/pcsx2/libspu2x-2.0.0.so
    Binding CDVD: /usr/lib/i386-linux-gnu/pcsx2/libCDVDnull.so
    Binding  USB: /usr/lib/i386-linux-gnu/pcsx2/libUSBnull-0.7.0.so
    Binding   FW: /usr/lib/i386-linux-gnu/pcsx2/libFWnull-0.7.0.so
    Binding DEV9: /usr/lib/i386-linux-gnu/pcsx2/libdev9null-0.5.0.so
Plugins loaded successfully.

I've tested Super Monkey Ball Adventure and SpongeBob SquarePants: Battle for Bikini Bottom (both PAL with a European BIOS) through the ISO selector and they both hung on the first frame.

When I run PCSX2 from the command line nothing appears when the games freeze. On startup, it just says this and nothing else until it's closed:

Code:
Gtk-Message: Failed to load module "gail"
Gtk-Message: Failed to load module "atk-bridge"

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(PCSX2:20535): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
Interface is initializing.  Entering Pcsx2App::OnInit!

Command line parsing...
Command line parsed!

I'm using a proprietary NVIDIA driver: nvidia-384 (version 384.111-0ubuntu0.16.04.1).
I don't know if this is relevant, but in Mint's driver manager, there's a choice between intel-microcode (version 3.20180108.0+really20170707ubuntu16.04.1) and "Do not update the CPU microcode", and the latter is selected.


If there's any other information or screenshots or anything I can provide, I'd be happy to. I really want to get this to work.

Thanks. Smile
Reply

Sponsored links

#2
Did you install multiarch libraries for 32-Bit support?
Reply
#3
(02-02-2018, 12:47 AM)FlatOut Wrote: Did you install multiarch libraries for 32-Bit support?

These packages were installed with PCSX2:

Code:
libaio1:i386
libasound2:i386
libc6:i386
libgcc1:i386
libgdk-pixbuf2.0-0:i386
libgl1-mesa-glx:i386
libglib2.0-0:i386
libgtk2.0-0:i386
liblzma5:i386
libpng12-0:i386
libportaudio2:i386
libsdl2-2.0-0:i386
libsoundtouch1:i386
libstdc++6:i386
libwxbase3.0-0v5:i386
libwxgtk3.0-0v5:i386
libx11-6:i386
zlib1g:i386
Reply
#4
Strange, it feels like a segmentation fault.
Reply
#5
Turns out this is not the case for all games. I just tested The SpongeBob SquarePants Movie Game and it works.
Reply
#6
The games that didn't work were both released in the Australia / New Zealand region, but the game that worked was released in Europe. Possibly relevant?

Shadow of the Colossus NA version also works.
Reply




Users browsing this thread: 1 Guest(s)